[openssh-commits] [openssh] 03/03: Restore ssh-agent permissions on exit.

git+noreply at mindrot.org git+noreply at mindrot.org
Fri Dec 2 11:56:23 AEDT 2022


This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit 5796bf8ca9535f9fa7d01829a540d2550e05c860
Author: Darren Tucker <dtucker at dtucker.net>
Date:   Fri Dec 2 11:43:36 2022 +1100

    Restore ssh-agent permissions on exit.
    
    ...enough that subsequent builds can overwrite ssh-agent if necessary.
---
 regress/agent-ptrace.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/regress/agent-ptrace.sh b/regress/agent-ptrace.sh
index feef5241..df55b34a 100644
--- a/regress/agent-ptrace.sh
+++ b/regress/agent-ptrace.sh
@@ -38,6 +38,7 @@ else
 	$SUDO chown 0 ${SSHAGENT}
 	$SUDO chgrp 0 ${SSHAGENT}
 	$SUDO chmod 2755 ${SSHAGENT}
+	trap "$SUDO chown ${USER} ${SSHAGENT}; $SUDO chmod 755 ${SSHAGENT}" 0
 fi
 
 trace "start agent"

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list